# Installation
> composer require intergo/user-callback-client


## Usage

https://intergo.atlassian.net/wiki/spaces/ES/pages/2469003291/User+Callback+Service

```php
<?php

$userCallbackData = new UserCallbackData();
$userCallbackData->callback_url = 'http://customer-url.com';
$userCallbackData->user_id = 1234; //The Auth user ID
$userCallbackData->priority = 3; //Calculated if needed OR leave default
$userCallbackData->jobsCount = 10; //Calculated if needed OR leave default
$userCallbackData->customQueue = 'custom-queue'; //Set a user custom queue if needed
$userCallbackData->payload = [
  'key' => 'value'
  ....
];

UserCallbackService::send($sendCallbackData)
```