<?php

namespace Intergo\UserCallbackClient\Jobs;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Intergo\Log\GrayLogHandler;
use Intergo\UserCallbackClient\ValueObjects\UserCallbackData;

class SendUserCallback implements ShouldQueue
{

    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    protected UserCallbackData $data;
    protected string $trace_id;

    /**
     * Constructor to assign data
     *
     * @param UserCallbackData $data
     * @param string $traceId
     */
    public function __construct(UserCallbackData $data, string $traceId)
    {
        $this->trace_id = $traceId;
        $this->data = $data;
    }

    /**
     * @return void
     */
    public function handle()
    {
        //
    }

}
